%define lib_name_orig libsword
%define lib_major     4
%define lib_name      %mklibname %name %version
%define develname %mklibname -d %name
%define staticname %mklibname -d -s %name

Summary:        The SWORD Project framework for manipulating Bible texts
Summary(cs):    Programy pro studium Bible a vvojov nstroje
Summary(sk):    Programy pre tdium Biblie a vvojov nstroje
Name:           sword
Version:        1.6.0
Release:        %mkrel 1
License:        GPLv2+
URL:            http://www.crosswire.org/sword/software/
Source:         http://www.crosswire.org/ftpmirror/pub/sword/source/v1.6/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:        sword_icons.tar.bz2
Group:          System/Libraries
BuildRequires:  zlib-devel
BuildRequires:  curl-devel >= 7.10.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       %{lib_name} = %{version}
Requires:       curl >= 7.10.5


%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

%description -l cs
Snahou projektu SWORD je vytvoit voln (ve smyslu licence OpenSource)
programy, vvojov nstroje a pomcky ke studiu Bible.
Mohou bt instalovny dal, voliteln pdavn moduly: rzn peklady Bible,
komente, vklady a slovnky.

%description -l sk
Cieom projektu SWORD je vytvori von (vo zmysle licencie OpenSource)
programy, vvojov nstroje a pomcky pre tdium Biblie.. Mu sa tie
naintalova alie voliten a prdavn moduly: rzne preklady Biblie,
Biblick komentre, lexikny a slovnky.


#main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary:         Main library for sword #(!) summary for main lib RPM only
Group:           System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with sword.

%package -n %{develname}
Summary:         Include files for developing sword applications
Group:           System/Libraries
Requires:        %{lib_name} = %{version}
Provides:        %{name}-devel = %{version}-%{release} 
Obsoletes:       %mklibname -d %name 1.5.9

%description -n %{develname}
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%package -n %{staticname}
Summary:         Static libs for developing sword applications
Group:           System/Libraries
Requires:        %{lib_name} = %{version}
Requires:	 %{develname} = %{version}
Provides:        %{name}-static-devel = %{version}-%{release} 
Obsoletes:       %mklibname -d -s %name 1.5.9

%description -n %{staticname}
This package contains the static libraries that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%prep
%setup -q -a2

%{_bindir}/unzip -d sapphire %{SOURCE1}
%{__cp} -a sapphire/SAPPHIRE.H include/sapphire.h
%{__cp} -a sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
%{configure2_5x} --disable-dependency-tracking --enable-utilities --with-curl --disable-debug --enable-shared --with-conf
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__install} -m 0755 utilities/{mkfastmod,mod2vpl,vpl2mod} %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS INSTALL LICENSE ChangeLog 
%doc samples doc/*.*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/sword.conf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*%{name}-*.so

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %dir %{_includedir}/sword
%{_includedir}/sword/*.*
%{_libdir}/*%{name}.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 383327
- Update to new version 1.6.0

* Fri Aug 15 2008 Buchan Milne <bgmilne@mandriva.org> 1.5.11-1mdv2009.0
+ Revision: 272232
- update to new version 1.5.11

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 1.5.10-1mdv2008.1
+ Revision: 116226
- New version 1.5.10


* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 1.5.9-1mdv2007.0
+ Revision: 104737
- 1.5.9

* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 1.5.8-3mdv2007.1
+ Revision: 104726
- Import sword

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.8-3mdv2007.0
- rebuild

* Fri Nov 25 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.8-2mdk
- rebuild to provide missing srpm

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.8-1mdk
- New release 1.5.8
- make it build on x86_64 (use %%configure)
- cleanups
- use %%mkrel (since it can do everything the excess macros were doing)
- rpmbuildupdate-able
- drop p0

* Thu Aug 26 2004 Buchan Milne<bgmilne@linux-mandrake.com> 1.5.7a-1mdk
- bump lib major
- changes from Lonnie Borntreger <cooker@borntreger.com>
  - rework patch0 for new source snapshot
  - remove patch1, merged upstream

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-4mdk
- lowerize optimization level thus preventing some segfaults in libsword3

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-3mdk
- rebuild

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.7-3mdk
- rebuild for curl, fix requires/buildrequires

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.7-2mdk
- Rebuild

